ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::files::detail::VariantPixelBufferReadVisitor< charT, traits > Struct Template Reference

Read data into a PixelBuffer. More...

`#include <ome/files/VariantPixelBuffer.h>`

Inheritance diagram for ome::files::detail::VariantPixelBufferReadVisitor< charT, traits >:
[legend]
Collaboration diagram for ome::files::detail::VariantPixelBufferReadVisitor< charT, traits >:
[legend]

## Public Member Functions
| VariantPixelBufferReadVisitor (std::basic_istream< charT, traits > &stream)
| Constructor. More...
template<typename T >
void | operator() (T &v) const
| Read data into specific PixelBuffer type. More...

## Public Attributes
std::basic_istream< charT, traits > & | stream
| The input stream.

## Detailed Description

### template<class charT, class traits>
struct ome::files::detail::VariantPixelBufferReadVisitor< charT, traits >

Read data into a PixelBuffer.

## Constructor & Destructor Documentation

template<class charT, class traits>

ome::files::detail::VariantPixelBufferReadVisitor< charT, traits >::VariantPixelBufferReadVisitor | ( | std::basic_istream< charT, traits > & | stream | ) |
| inline

Constructor.

Parameters

  stream | the input stream.

## Member Function Documentation

template<class charT, class traits>
template<typename T >

void ome::files::detail::VariantPixelBufferReadVisitor< charT, traits >::operator() | ( | T & | v | ) | const
| inline

Read data into specific PixelBuffer type.

Parameters

  v | the PixelBuffer to use.

The documentation for this struct was generated from the following file:

- ome/files/VariantPixelBuffer.h